import { LoggerService } from '@backstage/backend-plugin-api';
import { JsonObject } from '@backstage/types';
export type LogContent = {
    message: string;
    meta?: Error | JsonObject;
};
export type Logs = {
    errors?: LogContent[];
    warns?: LogContent[];
    infos?: LogContent[];
    debugs?: LogContent[];
};
export declare class MockedLogger implements LoggerService {
    logs: Logs;
    error(message: string, meta?: Error | JsonObject): void;
    warn(message: string, meta?: Error | JsonObject): void;
    info(message: string, meta?: Error | JsonObject): void;
    debug(message: string, meta?: Error | JsonObject): void;
    child(_: JsonObject): LoggerService;
}
